#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "FogVolumetric.generated.h"

USTRUCT(BlueprintType)
struct FFogVolumetric
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bEnableVolumetricFog;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float VolumetricFogScatteringDistribution;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FColor VolumetricFogAlbedo;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FLinearColor VolumetricFogEmissive;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float VolumetricFogExtinctionScale;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float VolumetricFogDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Interp)
	float VolumetricFogStartDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float VolumetricFogNearFadeInDistance;

public:
	GRAPHICSEXTENSIONS_API FFogVolumetric();
};

FORCEINLINE uint32 GetTypeHash(const FFogVolumetric) { return 0; }
